Package io.vertx.reactivex.jdbcclient

## Class JDBCPool

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient
  - - io.vertx.reactivex.sqlclient.Pool
    - - io.vertx.reactivex.jdbcclient.JDBCPool

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class JDBCPool
      extends Pool
      implements io.vertx.lang.rx.RxDelegate

  JDBCPool is the interface that allows using the Sql Client API with plain JDBC.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCPool>` | `__TYPE_ARG` |
    `static PropertyKind<Row>` | `GENERATED_KEYS` | The property to be used to retrieve the generated keys
    `static PropertyKind<Boolean>` | `OUTPUT` | The property to be used to retrieve the output of the callable statement

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDBCPool​(JDBCPool delegate)` |
    `JDBCPool​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `JDBCPool` | `getDelegate()` |
    `int` | `hashCode()` |
    `static JDBCPool` | `newInstance​(JDBCPool arg)` |
    `static Pool` | `pool​(Vertx vertx, JDBCConnectOptions connectOptions, PoolOptions poolOptions)` | Create a JDBC pool which maintains its own data source.
    `static Pool` | `pool​(Vertx vertx, DataSource dataSource, PoolOptions poolOptions)` | Create a JDBC pool using a pre-initialized data source, note this data source does not need to be a pool.
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Pool

      `getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxGetConnection, rxWithConnection, rxWithConnection, rxWithTransaction, rxWithTransaction, rxWithTransaction, rxWithTransaction, size, withConnection, withConnection, withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlClient

      `close, newInstance, preparedQuery, rxClose`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCPool> __TYPE_ARG

    - #### GENERATED_KEYS

          public static final PropertyKind<Row> GENERATED_KEYS

      The property to be used to retrieve the generated keys

    - #### OUTPUT

          public static final PropertyKind<Boolean> OUTPUT

      The property to be used to retrieve the output of the callable statement

  - ### Constructor Detail

    - #### JDBCPool

          public JDBCPool​(JDBCPool delegate)

    - #### JDBCPool

          public JDBCPool​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public JDBCPool getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static Pool pool​(Vertx vertx,
                                  JDBCConnectOptions connectOptions,
                                  PoolOptions poolOptions)

      Create a JDBC pool which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `connectOptions` - the options to configure the connection
        `poolOptions` - the connection pool options
      Returns:
        the client

    - #### pool

          public static Pool pool​(Vertx vertx,
                                  DataSource dataSource,
                                  PoolOptions poolOptions)

      Create a JDBC pool using a pre-initialized data source, note this data source does not need to be a pool.
      Parameters:
        `vertx` - the Vert.x instance
        `dataSource` - a pre-initialized data source
        `poolOptions` -
      Returns:
        the client

    - #### newInstance

          public static JDBCPool newInstance​(JDBCPool arg)